# Enum MetricsContext.DetailLevel

java.lang.Object
java.lang.Enum<MetricsContext.DetailLevel>
org.apache.zookeeper.metrics.MetricsContext.DetailLevel

All Implemented Interfaces:
  `Serializable, Comparable<MetricsContext.DetailLevel>`

Enclosing interface:
  `MetricsContext`

public static enum MetricsContext.DetailLevel extends Enum<MetricsContext.DetailLevel>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADVANCED`
It is expected that the returned Summary performs expensive aggregations, like percentiles.
`BASIC`
The returned Summary is expected to track only simple aggregated values, like min/max/avg

## Method Summary

Modifier and Type
Method
Description
`static MetricsContext.DetailLevel`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static MetricsContext.DetailLevel[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BASIC

public static final MetricsContext.DetailLevel BASIC
The returned Summary is expected to track only simple aggregated values, like min/max/avg

### ADVANCED

public static final MetricsContext.DetailLevel ADVANCED
It is expected that the returned Summary performs expensive aggregations, like percentiles.

## Method Details

### values

public static MetricsContext.DetailLevel[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static MetricsContext.DetailLevel valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null